org.springframework.data.relational.core.dialect

## Interface IdGeneration

    public interface IdGeneration

Describes the how obtaining generated ids after an insert works for a given JDBC driver.

Since:
  2.1
Author:
  Jens Schauder

### Field Summary

Fields
`static IdGeneration` `DEFAULT` A default instance working for many databases and equivalent to Spring Data JDBCs behavior before version 2.1.

### Method Summary

All Methods Instance Methods Default Methods
`default boolean` `driverRequiresKeyColumnNames()` Does the driver require the specification of those columns for which a generated id shall be returned.

### Field Detail

#### DEFAULT

    static final IdGeneration DEFAULT

A default instance working for many databases and equivalent to Spring Data JDBCs behavior before version 2.1.

### Method Detail

#### driverRequiresKeyColumnNames

    default boolean driverRequiresKeyColumnNames()

Does the driver require the specification of those columns for which a generated id shall be returned.

This should be false for most dialects. One notable exception is Oracle.

Returns:
  true if the a list of column names should get passed to the JDBC driver for which ids shall be generated.
See Also:
  `Connection.prepareStatement(String, String[])`